package com.gx.obe.management.action;

import org.eclipse.swt.SWT;
import org.eclipse.swt.widgets.Composite;

import com.gx.obe.action.bean.Action;
import com.gx.obe.action.listener.ActionListener;
import com.gx.obe.management.composite.TenderFeeComposite;

/**
 * @Description: 标书费管理
 * @author guoyr
 */
public class LoadTenderFeeAction extends Action{

	@Override
	public void run() {
		ActionListener listener = this.getListener();
		listener.onLoad(this);
		Composite parent = listener.getParentComposite();
		parent.setData("tenderProjectEntity", this.getTenderProject());
		TenderFeeComposite composite = new TenderFeeComposite(parent, SWT.NONE);
		listener.loadComposite(this, composite);
	}
}
